#include <stdio.h>

int main(int argc, char *argv[])
{
  char name[8+1] = "";

  if (argc == 1+1) {
#if defined(UNSAFE)
    sscanf(argv[1], "%s", name);
#else
    sscanf(argv[1], "%8s", name);
#endif
  }
  puts(name);
  return 0;
}
